php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #15302 Warning: open_basedir restriction in effect. ... in Unknown on line 0
Submitted: 2002-01-30 16:02 UTC Modified: 2005-01-31 23:02 UTC
Votes:42
Avg. Score:3.7 ± 1.3
Reproduced:21 of 26 (80.8%)
Same Version:10 (47.6%)
Same OS:9 (42.9%)
From: fox at murder dot cz Assigned:
Status: No Feedback Package: Safe Mode/open_basedir
PHP Version: 4.3.2RC4 OS: FreeBSD 4.4
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: fox at murder dot cz
New email:
PHP Version: OS:

 

 [2002-01-30 16:02 UTC] fox at murder dot cz
I have the same problem as in the closed bug #12995 so im opening a new thread (if this is bad, let me know, it wouldnt happen anymore).
When i put just a file which contains:
<?
echo "test";
?>
i randomly get error message:

Warning: open_basedir restriction in effect. File is in wrong directory in Unknown on line 0

Warning: Failed opening '/www/parba.cz/www/index.php' for inclusion (include_path='.:/usr/local/lib/php') in Unknown on line 0

There is no include in that file ... just only echo.
Im using php-4.1.1 on FreeBSD4.4 and i didnt compile it from ports.


Im adding information from phpinfo that i think should be useful:

PHP Version 4.1.1
System: FreeBSD parba.cz 4.4-RELEASE FreeBSD 4.4-RELEASE #0: Tue Sep 18 11:57:08 PDT 2001     murray@builder.FreeBSD.org:/usr/src/sys/compile/GENERIC  i386 
Build Date: Jan 30 2002 
Configure Command:  './configure' '--with-apxs=/usr/local/apache/bin/apxs' '--enable-safe-mode' '--with-openssl' '--with-zlib' '--enable-bcmath' '--with-bz2' '--enable-calendar' '--enable-ctype' '--with-curl' '--with-db' '--enable-dbase' '--enable-ftp' '--with-gd' '--enable-gd-native-ttf' '--with-imap' '--with-mcal' '--with-mhash' '--with-mysql=/usr/local/mysql/' '--with-pgsql' '--with-mm' '--enable-trans-sid' '--with-snmp' '--enable-sockets' '--enable-inline-optimization' '--with-md5' '--enable-md5' 
Server API: Apache 

And here is my phpinfo();
http://parba.mistral.cz/phpinfo.php
of course it sometimes work and sometimes not - just need some refreshing

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-05-27 17:11 UTC] sniper@php.net
What is the exact error message you get using the latest STABLE snapshot from http://snaps.php.net/ (don't try RC4!)

 [2003-06-02 17:24 UTC] sniper@php.net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.


 
PHP Copyright © 2001-2018 The PHP Group
All rights reserved.
Last updated: Thu Dec 13 21:01:26 2018 UTC